/*
  ==================================================================================================
  _  __          _____  _____ _____ _   _ _______ ______ _____  ______      _____ ______ 
 | |/ /    /\   |  __ \|  __ \_   _| \ | |__   __|  ____|  __ \|  ____/\   / ____|  ____|
 | ' /    /  \  | |__) | |__) || | |  \| |  | |  | |__  | |__) | |__ /  \ | |    | |__   
 |  <    / /\ \ |  ___/|  ___/ | | | . ` |  | |  |  __| |  _  /|  __/ /\ \| |    |  __|  
 | . \  / ____ \| |    | |    _| |_| |\  |  | |  | |____| | \ \| | / ____ \ |____| |____ 
 |_|\_\/_/    \_\_|    |_|   |_____|_| \_|  |_|  |______|_|  \_\_|/_/    \_\_____|______|
                                                                                         
                                                                                         
  Communication with kapp
  ==================================================================================================
*/
var KappInterface = function() {
  'use strict';
  
  function KappInterface() {}

  // Called to get all the messages starting from a sequence id.
  // Should poll every once in a while (3s for web-app)
  KappInterface.prototype.getMessages = function(onSuccessCallback, onErrorCallback) {
    // Get the auth token and session id
    var sessionid = BoardState.session.id;
    var authToken = BoardState.session.auth;
    var data = { "sequenceId": BoardState.session.sequenceId };
    // Send a request to web service for messages
    $.ajax({
      type: "GET",
      cache: false,
      headers: { 'Authorization': authToken },
      contentType: "application/json; charset=utf-8",
      url: "https://ws.kappboard.com/v2/session/" + sessionid + "/messages",
      data: data,
      success: function(data) {
        onSuccessCallback(data);
      },
      error: function(req) {
        onErrorCallback(req);
      }
    });
  };  

  return KappInterface;
}();

